package com.xxx.amp.magenta.livecodebench.model;

import com.fasterxml.jackson.annotation.JsonGetter;

public class TestRun {
    public static TestRun newFrom(String input, String expectedOutput) {
        TestRun result = new TestRun();
        result.setInput(input);
        result.setExpectedOutput(expectedOutput);
        result.setStatus(TestStatus.PASSED);

        return result;
    }

    private String input;
    private String expectedOutput;
    private String output;
    private TestStatus status;

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }

    @JsonGetter("input")
    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    @JsonGetter("expected-output")
    public String getExpectedOutput() {
        return expectedOutput;
    }

    public void setExpectedOutput(String expectedOutput) {
        this.expectedOutput = expectedOutput;
    }

    @JsonGetter("status")
    public TestStatus getStatus() {
        return status;
    }

    public void setStatus(TestStatus status) {
        this.status = status;
    }
}
